<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The message-driven-destination element provides advice to the Deployer as to whether a message-driven bean is intended for a Queue or a Topic. The declaration consists of: the type of the message-driven bean's intended destination and an optional declaration of whether a durable or non-durable subscription should be used if the destination-type is javax.jms.Topic.">
<meta name="KeyWords" content="MessageDrivenDestination,Class MessageDrivenDestination,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;MessageDrivenDestination&nbsp;{Analysis}</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;message-driven-destination&nbsp;element&nbsp;provides&nbsp;advice&nbsp;to&nbsp;the&nbsp;Deployer&nbsp;as&nbsp;to&nbsp;whether&nbsp;a&nbsp;message-driven&nbsp;bean&nbsp;is&nbsp;intended&nbsp;for&nbsp;a&nbsp;Queue&nbsp;or&nbsp;a&nbsp;Topic.&nbsp;The&nbsp;declaration&nbsp;consists&nbsp;of:&nbsp;the&nbsp;type&nbsp;of&nbsp;the&nbsp;message-driven&nbsp;bean's&nbsp;intended&nbsp;destination&nbsp;and&nbsp;an&nbsp;optional&nbsp;declaration&nbsp;of&nbsp;whether&nbsp;a&nbsp;durable&nbsp;or&nbsp;non-durable&nbsp;subscription&nbsp;should&nbsp;be&nbsp;used&nbsp;if&nbsp;the&nbsp;destination-type&nbsp;is&nbsp;javax.jms.Topic.</font><BR><BR>
</body>
</html>
